libebook::FictionBook2EpigraphContext Class Reference documentation

libebook::FictionBook2EpigraphContext Class Reference

`#include <FictionBook2BlockContext.h>`

Inheritance diagram for libebook::FictionBook2EpigraphContext:

## Public Member Functions
| FictionBook2EpigraphContext (FictionBook2ParserContext *parentContext, const FictionBook2BlockFormat &format)
Public Member Functions inherited from libebook::FictionBook2BlockFormatContextBase
| FictionBook2BlockFormatContextBase (FictionBook2ParserContext *parentContext, const FictionBook2BlockFormat &format)
FictionBook2BlockFormat & | getBlockFormat ()
const FictionBook2BlockFormat & | getBlockFormat () const
void | setLang (const char *lang)
Public Member Functions inherited from libebook::FictionBook2NodeContextBase
| FictionBook2NodeContextBase (FictionBook2ParserContext *parentContext, FictionBook2Collector *collector=nullptr)
Public Member Functions inherited from libebook::FictionBook2ParserContext
| FictionBook2ParserContext (FictionBook2ParserContext *parentContext, FictionBook2Collector *collector=nullptr)
| Create a new context with `parentContext` as parent.
FictionBook2XMLParserContext * | leaveContext () const override
| Destroy this context and return parent.
FictionBook2Collector * | getCollector () const
| Get the collector.
FictionBook2ParserContext * | getParentContext () const
| Get the parent context.
Public Member Functions inherited from libebook::FictionBook2XMLParserContext
virtual | ~FictionBook2XMLParserContext ()=0

## Private Member Functions
FictionBook2XMLParserContext * | element (const FictionBook2TokenData &name, const FictionBook2TokenData &ns) override
| Create a context for parsing a child element.
void | endOfElement () override
| Signalize the end of an element.
void | attribute (const FictionBook2TokenData &name, const FictionBook2TokenData *ns, const char *value) override
| Process an attribute.

## Constructor & Destructor Documentation

## ◆ FictionBook2EpigraphContext()

libebook::FictionBook2EpigraphContext::FictionBook2EpigraphContext | ( | FictionBook2ParserContext * | parentContext,
|  | const FictionBook2BlockFormat & | format )

## Member Function Documentation

## ◆ attribute()

void libebook::FictionBook2EpigraphContext::attribute | ( | const FictionBook2TokenData & | name,
|  | const FictionBook2TokenData * | ns,
|  | const char * | value )
| overrideprivatevirtual

Process an attribute.

Attributes are handled to the current element's context one by one.

Implements libebook::FictionBook2XMLParserContext.

## ◆ element()

FictionBook2XMLParserContext * libebook::FictionBook2EpigraphContext::element | ( | const FictionBook2TokenData & | name,
|  | const FictionBook2TokenData & | ns )
| overrideprivatevirtual

Create a context for parsing a child element.

Returns
  A new context or `0` if the child element cannot be handled.

Implements libebook::FictionBook2XMLParserContext.

## ◆ endOfElement()

void libebook::FictionBook2EpigraphContext::endOfElement | ( |  | ) |
| overrideprivatevirtual

Signalize the end of an element.

Implements libebook::FictionBook2XMLParserContext.

The documentation for this class was generated from the following files:

- FictionBook2BlockContext.h
- FictionBook2BlockContext.cpp